Post
/api/v1/Reporting/reports/{id}/export
Exports a report to a file
Path parameters
id
integer (int32) Required
ID of the report to export
Body parameters
Additional information about the export
object
fileFormat
string
Valid values[
"Xlsx",
"Csv"
]
maxRecords
integer (int32)
Total number of records to return. Pass 0 to return all records.
object
fileFormat
string
Valid values[
"Xlsx",
"Csv"
]
maxRecords
integer (int32)
Total number of records to return. Pass 0 to return all records.
object
fileFormat
string
Valid values[
"Xlsx",
"Csv"
]
maxRecords
integer (int32)
Total number of records to return. Pass 0 to return all records.
object
fileFormat
string
Valid values[
"Xlsx",
"Csv"
]
maxRecords
integer (int32)
Total number of records to return. Pass 0 to return all records.
Responses
200
OK
object
exportKey
string | null
Unique key for export
statusMessage
string | null
Status of export
isCompleted
boolean
Whether the export is complete or not
filename
string | null
Suggested name for file
mimeType
string | null
MimeType of returned file
contentBase64
string | null
Base64 string with file contents
404
Not Found
object
error
string | null